Chat now with support
Chat com o suporte

Rapid Recovery 6.3 - Installation and Upgrade Guide

Overview and System Requirements Installing Rapid Recovery Upgrading Rapid Recovery Managing Rapid Recovery licenses

Other documentation resources for upgrading

Documentation resources for upgrading other Rapid Recovery components

This section applies to upgrading Rapid Recovery Core , Rapid Recovery Agent, and the Local Mount Utility. For documentation on upgrading other Rapid Recovery components, see the following:

  • For installation or upgrade of Mailbox Restore, see the latest edition of the Rapid Recovery Mailbox Restore for Exchange User Guide.
  • For installation or upgrade of DocRetriever, see the latest edition of the Rapid Recovery DocRetriever for SharePoint User Guide.
  • For installation or upgrade of Rapid Recovery on a cloud instance of a target Core hosted in Microsoft Azure, or to run a Rapid Recovery Core in Azure, see the latest edition of the Rapid Recovery Azure Setup Guide.

If you do not see release 6.3 editions of the books referenced above, use the release 6.2 versions.

NOTE: As of release 6.3, Rapid Recovery no longer supports Kaseya Virtual System Administrator. There is no new version of the Rapid Recovery Third-Party Integration Guide.

Automatic Update advisory

Automatic Update advisory

If upgrading from Rapid Recovery release 6.2 or later, you can use the Automatic Update feature to upgrade to this release, if it is enabled in your Core. Use of this feature requires you to consent to Quest using a limited amount of your personal data. For more details, see the topic "How Rapid Recovery uses personal information" in the Rapid Recovery 6.3 User Guide.

Due to parameters included as part of GDPR compliance in Rapid Recovery release 6.2 and later, customers using Rapid Recovery versions prior to 6.2 will not be able to use the Automatic Update feature to upgrade. You must manually upgrade the software one time instead. Once you have upgraded to Rapid Recovery release 6.2 or later and consented to the use of personal data, you can resume using the Automatic Upgrade feature.

Rapid Recovery Core and Agent compatibility

The following table provides a visual guide of the compatibility between supported versions of Rapid Recovery Core and Rapid Recovery Agent.

Table 8: Compatibility between supported Core and Agent versions
Version 6.1.3 Core 6.2.1. Core 6.3.0 Core
6.1.3 Agent Fully compatible Fully compatible Fully compatible
6.2.1 Agent Not compatible Fully compatible Fully compatible
6.3.0 Agent Not compatible Not compatible Fully compatible

Previous editions of this topic depicted compatible versions of Rapid Recovery Core and Rapid Recovery Agent, regardless of whether the release versions shown were currently supported.

The following hybrid chart shows supportability (using the color coding explained in the legend) as well as compatibility between Core and Agent versions since release 5.4.3.

NOTE: Future editions of this topic will only include the simplified supportability information shown in the preceding chart.

Table 9: Hybrid chart: Compatibility between Core and Agent versions and supportability by color code
Version 5.4.3 Core1 6.0.2 Core 6.1.33 Core 6.2.1 Core 6.3.0x Core
5.4.3 Agent1, 2 Compatible Compatible3 Compatible3 Compatible3 Compatible3
6.0.2 Agent1, 2 Not applicable Compatible Compatible3 Compatible3 Compatible3
6.1.34 Agent Not applicable Not applicable Compatible Compatible 3 Compatible3
6.2.1 Agent Not applicable Not applicable Not applicable Compatible Compatible3
6.3.0x Agent Not applicable Not applicable Not applicable Not applicable Compatible3
  Color Legend: Full Support Limited Support Discontinued Never Supported

1 While not currently supported, AppAssure 5.4.3 and Rapid Recovery 6.0.2 are shown in this chart to convey interoperability. See note 4.

2 Protected machines with EFI partitions must be upgraded to Rapid Recovery release 6.0.x or later to successfully restore data, perform bare metal restore, or perform virtual export. To receive assistance from Quest Data Protection Support, Quest recommends upgrading to a supported release (generally, the latest release), as detailed in note 4.

3 Users can protect machines using older versions of Rapid Recovery Agent in a newer Core. Logically, newer features provided in more recent versions of Rapid Recovery Agent are not available for machines protected with older Agent versions installed.

4 As shown in this chart, Rapid Recovery supports the current version (6.3.0x), and the latest maintenance release of the last two major/minor versions (6.2.1 and 6.1.3, respectively). When a new maintenance release becomes generally available, it becomes fully supported. The prior version goes into limited support. For detailed information, see the "Product Life Cycle and Policies" section of the Rapid Recovery Support website at https://support.quest.com/rapid-recovery/.

 

Only the latest maintenance releases for the last two major/minor versions (N-1 and N-2 releases shown in table 11) are supported. For example, in release 6.3.0x, these versions include only releases 6.2.1 and 6.1.3. With the general availability of this release, other versions (such as releases 6.2.0, 6.1.2, 6.1.1, and so on) are now outside of the support policy. While Quest expects these versions to function, they may not have been tested for interoperability with the current version. If you have a current maintenance agreement, Quest Data Protection Support can attempt to answer your questions. However, if you call for support for an unsupported version, expect to be asked to upgrade.

Other factors affect interoperability. For example, the Rapid Snap for Virtual feature was first introduced in Rapid Recovery version 6.0, letting you protect VMware ESXi VMs agentlessly. Rapid Recovery release 6.1.0 expanded this support to host-based protection for Hyper-V VMs. Release 6.2 introduced agentless application support for protected machines running Exchange Server and SQL Server. Logically, users of Core version 5.4.3 cannot agentlessly protect any VMs. Users of Core version 6.0 cannot protect VMs on Hyper-V without installing the Agent software. And Cores earlier than release 6.2 have limited agentless support for Exchange and SQL Server, as detailed in the user guide topic "Understanding Rapid Snap for Virtual agentless protection" or "Understanding agentless protection" for each relevant release.

For more information about the differences between service levels supported for Rapid Recovery versus support levels generally for Quest products, see "Differentiation between standard Quest and Rapid Recovery service levels" in Rapid Recovery 6.3 Release Notes.

Upgrading factors to consider

When upgrading from AppAssure to Rapid Recovery on your machines, or upgrading from one version of Rapid Recovery to a more recent version, it is important to be mindful of the following best practices:

  • If upgrading to Rapid Recovery Core release 6.3, you can continue to protect machines with older versions of Agent. If you have a current maintenance contract and are experiencing difficulties, contact Quest Data Protection Support for assistance with any release version covered under full or limited support.

    To see Rapid Recovery software releases under full, limited, or discontinued support, and to understand those terms, refer to the product life cycle information on the Support website. Navigate to https://support.quest.com/rapid-recovery/, select the appropriate release in the product filter, and then click the "Product Life Cycle and Policies" tab.

    To use any new features or enhancements in the latest Agent software, you must upgrade your protected machines to that version. Before upgrading, always make sure the operating system on the protected machine is supported. In general, Quest supports the latest generally available versions of Windows and many recent distributions of Linux. For specific information on supported operating systems, see the Rapid Recovery 6.3 System Requirements Guide.

  • Quest Data Protection Support always recommends upgrading to the latest versions.
    • For support of all current features between the Core and protected machines, including Exchange Server or SQL Server application support with Rapid Snap for Virtual agentless protection, upgrade your Core and protected machines to Rapid Recovery Core release 6.3.
    • For compatibility with agentless protection, Quest suggests you upgrade to Rapid Recovery Core and Agent release 6.1.3 or later, with version 6.3 offering the most features.
    • In release 6.3, Rapid Recovery supports the compatibility of transfers, replication, virtual export, and restores of machines protected with Rapid Recovery Agent versions 6.2.1 and 6.1.3.
  • The same Rapid Recovery installers for all components can be used for first-time installation or for upgrading. For information about obtaining software installers, see Obtaining Rapid Recovery software.
  • You can install or upgrade Rapid Recovery Core from the Core installer or the web installer. The Core installer downloads the executable file in one task. The web installer streams a download of the latest version of the Core installer, which runs directly from the web and lets you pause and resume the process as needed. From a compatibility perspective, there is no difference between using the Core installer or the web installer.

    NOTE: Quest recommends retaining the binary installer file for any currently installed Rapid Recovery software product. You can use this file in the future to reinstall, repair, or remove the software.

  • Installations of Rapid Recovery Core prior to release 6.2 integrate with the QorePortal using a plug-in. Connectivity to the QorePortal is native to Rapid Recovery versions 6.2 and later. If you upgrade from an earlier version, the Core installer automatically removes the outdated plug-in.
  • When using the Core Web Installer or the automatic update feature of Rapid Recovery, a silent installation of the Core takes place in the background. Additional parameters were added in Rapid Recovery Core release 6.2.0 to support GDPR that prevent a silent installation from occurring. These users must upgrade manually by explicitly running the Core installer.
    • When upgrading from a version prior to release 6.2, you must either accept or decline Quest's use of your personally identifiable information (PII).
    • Once you have upgraded to release 6.2.0 or later, the use of PII is saved in Core general settings. Thereafter, you can again use the web installer or the automatic update feature.

    NOTE: If you declined to share PII with Quest, you must obtain and register a non-phone home key before using your Core. For more information about managing your PII, the GDPR, the functions you cannot perform if you do not accept the use of personal data, and how to obtain a non-phone-home license, see the topic "Managing privacy" in the Rapid Recovery 6.3 User Guide. For more information about registering a phone-home or non-phone-home license with your Core, see Updating or changing a license.

  • Before upgrading, verify that your system meets operating system, memory, processor, storage, and network requirements. For additional guidance for sizing your hardware, software, memory, storage, and network requirements, see knowledge base article 185962, “Sizing Rapid Recovery Deployments".
  • Always upgrade the Core before upgrading protected machines with the most recent Rapid Recovery Agent software. The Core machine can run a version of Rapid Recovery that is the same as, or more recent than, the Agent version installed on protected machines.
  • Protected machines must not run a version of the Agent software that is more recent than the version installed on the Core. This guideline only applies to the first three sets of digits in a release name (for example, 6.1.0, 6.2.0, 6.2.1, 6.3.0). Build numbers (the set of numbers in a release designation that appear after the third decimal point) can differ without interoperability concerns.
    In some cases, the build numbers are different for Windows and Linux versions of the Agent software.
    Your Cores may protect machines with the same major/minor version of Agent but with different build numbers if automatic update is enabled for some but not all protected machines.
  • If using replication, always upgrade the target Core first, then upgrade the source Core, and lastly upgrade the Agent software on your protected machines.
  • The source Core must not run a version of Rapid Recovery more recent than the target Core.

    Caution: If automatic update notification is enabled, you may see a message in the Core Console of a source Core indicating that a newer version of the Core software is available. If the message also indicates that a replicated (target) Core has an earlier version, Quest recommends pausing replication on both Cores, manually upgrading first the target Core and then the source Core, and then resuming replication. If you see that message but opt to select Update Now on the source Core first, the next attempt to replicate will fail until you also upgrade the target Core.

  • If using cross replication (when two Cores are replicating recovery points from each other's protected machines), Quest recommends manually pausing replication, backups, and other scheduled activities. Then both Cores should be upgraded prior to resuming these functions.

Before upgrading any Core server, please read the topic Preparing the Core server to upgrade.

Documentos relacionados